define([
    "./Content",
    "./Router",
    "dijit/_TemplatedMixin",
    "dijit/_WidgetsInTemplateMixin",
    "dijit/layout/BorderContainer",
    "dojo/_base/declare",
    "dojo/_base/lang"
], function(Content, Router, _TemplatedMixin, _WidgetsInTemplateMixin, BorderContainer, declare, lang) {
    var Page = declare([BorderContainer,_TemplatedMixin,_WidgetsInTemplateMixin],{
        templateString: '<div>Empty page.</div>',
        die: function(msg) {
            Content.set(new Page({templateString:'<div>Error: '+msg+'</div>'}));
        },
        go: lang.hitch(Router,'go'),
        notify: lang.hitch(Content,'notify'),
        markDirty: lang.hitch(Content,'markDirty'),
        markClean: lang.hitch(Content,'markClean')
    });
    return Page;
});
